## org.eclipse.jetty.websocket
Class WebSocketHandler

    java.lang.Object
      org.eclipse.jetty.util.component.AbstractLifeCycle
          org.eclipse.jetty.server.handler.AbstractHandler
              org.eclipse.jetty.server.handler.AbstractHandlerContainer
                  org.eclipse.jetty.server.handler.HandlerWrapper
                      org.eclipse.jetty.websocket.WebSocketHandler

All Implemented Interfaces:
  Handler, HandlerContainer, LifeCycle

    public abstract class WebSocketHandler

extends HandlerWrapper

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`AbstractLifeCycle.AbstractLifeCycleListener`

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.eclipse.jetty.server.handler.HandlerWrapper
`_handler`

Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

Constructor Summary
`WebSocketHandler()`

Method Summary
`protected String` `checkOrigin(HttpServletRequest request, String host, String origin)`
`protected void` `doStart()`
`protected void` `doStop()`
`protected abstract WebSocket` `doWebSocketConnect(HttpServletRequest request, String protocol)`
`int` `getBufferSize()` Get the bufferSize.
`int` `getMaxIdleTime()` Get the maxIdleTime.
`void` `handle(String target, Request baseRequest, HttpServletRequest request, HttpServletResponse response)` Handle a request.
`void` `setBufferSize(int bufferSize)` Set the bufferSize.
`void` `setMaxIdleTime(int maxIdleTime)` Set the maxIdleTime.

Methods inherited from class org.eclipse.jetty.server.handler.HandlerWrapper
`expandChildren, getHandler, getHandlers, getNestedHandlerByClass, setHandler, setServer`

Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandlerContainer
`dump, dumpHandlers, expandHandler, getChildHandlerByClass, getChildHandlers, getChildHandlersByClass`

Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandler
`destroy, dump, dump, getServer, toString`

Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`addLifeCycleListener, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Constructor Detail

### WebSocketHandler

    public WebSocketHandler()

Method Detail

### getBufferSize

    public int getBufferSize()

  Get the bufferSize.

  Returns:
    the bufferSize

### setBufferSize

    public void setBufferSize(int bufferSize)

  Set the bufferSize.

  Parameters:
    `bufferSize` - the bufferSize to set

### getMaxIdleTime

    public int getMaxIdleTime()

  Get the maxIdleTime.

  Returns:
    the maxIdleTime

### setMaxIdleTime

    public void setMaxIdleTime(int maxIdleTime)

  Set the maxIdleTime.

  Parameters:
    `maxIdleTime` - the maxIdleTime to set

### doStart

    protected void doStart()
                    throws Exception

  Overrides:
    `doStart` in class `HandlerWrapper`
  Throws:
    `Exception`
  See Also:
    `HandlerWrapper.doStart()`

### doStop

    protected void doStop()
                   throws Exception

  Overrides:
    `doStop` in class `HandlerWrapper`
  Throws:
    `Exception`
  See Also:
    `HandlerWrapper.doStop()`

### handle

    public void handle(String target,
                       Request baseRequest,
                       HttpServletRequest request,
                       HttpServletResponse response)
                throws IOException,
                       ServletException

  Description copied from interface: `Handler`
  Handle a request.

  Specified by:
    `handle` in interface `Handler`
  Overrides:
    `handle` in class `HandlerWrapper`
  Parameters:
    `target` - The target of the request - either a URI or a name.
    `baseRequest` - The original unwrapped request object.
    `request` - The request either as the `Request` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Request object if required.
    `response` - The response as the `Response` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Response object if required.
  Throws:
    `IOException`
    `ServletException`

### checkOrigin

    protected String checkOrigin(HttpServletRequest request,
                                 String host,
                                 String origin)

### doWebSocketConnect

    protected abstract WebSocket doWebSocketConnect(HttpServletRequest request,
                                                    String protocol)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.